### Constructor

# Gio SubprocessLauncher new

since: 2.40

#### Declaration

    GSubprocessLauncher*
    g_subprocess_launcher_new (
      GSubprocessFlags flags
    )

#### Description

Creates a new `GSubprocessLauncher`.

The launcher is created with the default options. A copy of the environment of the calling process is made at the time of this call and will be used as the environment that the process is launched in.

Available since: 2.40

#### Parameters

`flags`

  Type: `GSubprocessFlags`

  `GSubprocessFlags`.

#### Return value

Type: `GSubprocessLauncher`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.